Bug 1883 - Managing Suggestions - authorised list of reasons why patron requesting book
Summary: Managing Suggestions - authorised list of reasons why patron requesting book
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: Macintosh All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 27230
  Show dependency treegraph
 
Reported: 2008-02-25 04:03 UTC by Nicole C. Engard
Modified: 2020-12-14 13:55 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
originally i thought that SUGGEST was for the user - and I came up with this list (39.64 KB, image/png)
2008-02-25 16:03 UTC, Chris Cormack
Details
1 - approved suggestion (21.12 KB, image/png)
2008-03-06 05:00 UTC, Chris Cormack
Details
2 - order from vendor (20.02 KB, image/png)
2008-03-06 05:00 UTC, Chris Cormack
Details
3 - order from suggestion (16.51 KB, image/png)
2008-03-06 05:01 UTC, Chris Cormack
Details
Proposed fix (6.09 KB, patch)
2010-12-06 16:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Proposed fix ( revised) (4.93 KB, patch)
2010-12-10 14:59 UTC, Colin Campbell
Details | Diff | Splinter Review
Follow-up fix (1.77 KB, patch)
2011-02-07 20:56 UTC, Owen Leonard
Details | Diff | Splinter Review
solve comment 10 (1.27 KB, patch)
2011-02-22 20:59 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:35:43 UTC


---- Reported by nengard@gmail.com 2008-02-25 16:03:14 ----

When in an academic setting for example the librarians may want to know that a professor is requesting a book for a class.  Or they may want to know that someone found a damaged book and a new one should be ordered.  Since there is a list why librarians approve/reject requests, it would also be nice if patrons had the ability to explain why they were requesting a book.



---- Additional Comments From nengard@gmail.com 2008-02-25 16:03:46 ----

Created an attachment
originally i thought that SUGGEST was for the user - and I came up with this list





---- Additional Comments From nengard@gmail.com 2008-03-06 05:00:14 ----

Created an attachment
1 - approved suggestion





---- Additional Comments From nengard@gmail.com 2008-03-06 05:00:50 ----

Created an attachment
2 - order from vendor





---- Additional Comments From nengard@gmail.com 2008-03-06 05:01:13 ----

Created an attachment
3 - order from suggestion





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:35 UTC  ---

This bug was previously known as _bug_ 1883 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1883
Imported an attachment (id=400)
Imported an attachment (id=401)
Imported an attachment (id=402)
Imported an attachment (id=403)

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here
The original submitter of attachment 400 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 401 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 402 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 403 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-06 16:50:24 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2010-12-06 16:52:17 UTC
Note for testers: my proposed fix uses an authorized value with the code "OPAC_SUG."
Comment 3 Colin Campbell 2010-12-10 14:59:22 UTC
Created attachment 2828 [details] [review]
Proposed fix ( revised)

Part of proposed fix is already in master from a previously applied patch (changes in C4/Koha.pm) Removed the duplication so patch applies cleanly on current master
Comment 4 Chris Cormack 2010-12-12 21:11:13 UTC
Pushed, please test
Comment 5 Nicole C. Engard 2010-12-16 15:07:00 UTC
This works, but the auth val category 'OPAC_SUG' doesn't get created on upgrade and there is no hint anywhere that this authorized value is available.  I'll add it to the manual, but we should also add it on upgrade or include some sort of sample data for it.
Comment 6 MJ Ray (software.coop) 2011-01-08 11:13:29 UTC
This bug is mentioned in:
Fix for Bug 1883,	authorised list of reasons why patron requesting book http://lists.koha-community.org/pipermail/koha-patches/2010-December/013177.html
Fix for Bug 1883,	authorised list of reasons why patron requesting book http://lists.koha-community.org/pipermail/koha-patches/2010-December/013227.html
Comment 7 Owen Leonard 2011-02-04 16:47:38 UTC
I can submit a patch which would add a couple of default suggestion reasons via updatedatabase.pl:

INSERT INTO authorised_values (category,authorised_value,lib,lib_opac) VALUES ('OPAC_SUG','damaged','The copy on the shelf is damaged','The copy on the shelf is damaged

INSERT INTO authorised_values (category,authorised_value,lib,lib_opac) VALUES ('OPAC_SUG','bestseller','Upcoming title by popular author','Upcoming title by popular author

Anyone have objections or suggestions?
Comment 8 Nicole C. Engard 2011-02-04 17:38:46 UTC
That would be great!
Comment 9 Owen Leonard 2011-02-07 20:56:24 UTC
Created attachment 3088 [details] [review]
Follow-up fix

Adds two default authorized values in the category OPAC_SUG:
    
damaged, "The copy on the shelf is damaged"
bestseller, "Upcoming title by popular author"
Comment 10 Nicole C. Engard 2011-02-08 00:11:02 UTC
(In reply to comment #9)
> Created attachment 3088 [details] [review]
> Follow-up fix
> 
> Adds two default authorized values in the category OPAC_SUG:
> 
> damaged, "The copy on the shelf is damaged"
> bestseller, "Upcoming title by popular author"

This patch added these types only on upgrade.  We need them to be added to new installs to.
Comment 11 Paul Poulain 2011-02-22 20:59:16 UTC
Created attachment 3195 [details] [review]
solve comment 10
Comment 12 Chris Cormack 2011-02-27 21:45:06 UTC
Patch pushed, please test
Comment 13 MJ Ray (software.coop) 2011-03-05 10:34:13 UTC
This bug is mentioned in:
Bug 1883 follow-up: Adding default OPAC_SUG	values http://lists.koha-community.org/pipermail/koha-patches/2011-February/013777.html